Bug 662260 - gnome-screenshot retain shaded selection rectangle
Summary: gnome-screenshot retain shaded selection rectangle
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-utils
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-11 03:28 UTC by Aaron Hamid
Modified: 2012-08-16 20:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 20:25:08 UTC


Attachments (Terms of Use)
a sample screenshot of a Gnote page (5.13 KB, image/png)
2010-12-11 03:28 UTC, Aaron Hamid
no flags Details

Description Aaron Hamid 2010-12-11 03:28:59 UTC
Created attachment 468103 [details]
a sample screenshot of a Gnote page

Description of problem:

When taking a screenshot with gnome-screenshot using the "Select area to grab" option, the resulting screenshot contains the overlaid shaded rectangle.  This appears to be a change from the version in Fedora 13.

Version-Release number of selected component (if applicable):

gnome-utils.x86_64 1:2.32.0-2.fc14 @anaconda-InstallationRepo-201010211827.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Run gnome-screenshot
2. Take screenshot with "Select area to grab"
3. Resulting image with have additional shaded selection rectangle overload (the whole image will be tinted darker)
  
Actual results:

Screenshots which are always tinted dark.

Expected results:

No tinting effect on screenshots.

Additional info:

I am running compiz however I was running that in Fedora 13 as well and did not have this behavior.  I don't think I've done anything to my graphic settings, I did a vanilla upgrade via preupgrade.

I'm on an MSI CR620 laptop FWIW.

Comment 1 japa-fi 2011-01-13 08:17:09 UTC
I have same issue with clean install of F14_x64 on Lenovo T400. 
Also have compiz enabled.

Comment 2 Brian Dudek 2011-03-10 16:17:07 UTC
Also seen on 32 bit systems (w/ PAE):

2.6.35.11-83.fc14.i686.PAE
gnome-utils-2.32.0-2.fc14.i686
desktop-effects-0.8.7-2.fc14.i686
gnome-shell-2.31.5-7.fc14.i686

Issue with both desktop effects Compiz and GNOME Shell

  It will not happens with Standard Effects, and only seen when "Select area to grab" as previously mentioned.

I don't think this matters but I'm using Nvidia drivers with a Quadro 5000

Comment 3 Mirsad Muharemagic 2011-10-20 12:23:41 UTC
Issue not related to graphics drivers. Happens on both, a laptop with integrated Intel graphics (Core i3) and a desktop PC with ATI integrated graphics and proprietary drivers. And on top of that, Brian Dudek reported (above my comment) the same happening with Nvidia drivers.

Both are 64bit. 

Both have the following software installed:
desktop-effects.x86_64                0.8.7-2.fc14
gnome-utils.x86_64                    1:2.32.0-2.fc14
kernel.x86_64                         2.6.35.14-97.fc14


My guess is compiz and gnome-utils in combination are to blame. I've seen a bug for Ubuntu 11.04 for the same thing. See: https://bugs.launchpad.net/ubuntu/+source/gnome-utils/+bug/780611

Regards

Comment 4 Fedora End Of Life 2012-08-16 20:25:12 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.